#! /bin/bash

#
# call Drush c2pa_kms_sign command and pass all command line arguments to it, including stdin
#

SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )

# find drush executable in the path

# find the docroot by recursively traversing up the tree until the index.php file is found
function find_docroot () {
    FILE_TO_CHECK="${CURRENT_DIR}/index.php"
    if [ -f ${FILE_TO_CHECK} ]; then
        # found docroot
        DOCROOT=${CURRENT_DIR}
    else
        # did not find DOCROOT, go up one level
        CURRENT_DIR=`dirname "${CURRENT_DIR}"`
        find_docroot
    fi
}


# find Drush in the vendor directory by recursively traversing up the directory tree until it is found in the vendor directory
function find_drush () {
    FILE_TO_CHECK="${CURRENT_DIR}/vendor/bin/drush"
    if [ -f ${FILE_TO_CHECK} ]; then
        DRUSH="${FILE_TO_CHECK} --root=${DOCROOT}"
    else
        CURRENT_DIR=`dirname "${CURRENT_DIR}"`
        find_drush
    fi
}


CURRENT_DIR=${SCRIPT_DIR}
find_docroot
CURRENT_DIR=${SCRIPT_DIR}
find_drush


if [ ! -f $DRUSH ]; then
    echo "Drush not found in path";
    exit 1;
fi

#execute drush command
COMMAND="$DRUSH c2pa_kms_sign $@"
eval $COMMAND